.footer {
	background: #111;
	position: relative;
	padding-top: 50px;
	padding-bottom: 115px;

	&__row {
		position: relative;
	}

	&__contact {
		padding: 0;
		font-size: 2rem;
		font-weight: 600;
		line-height: 2.4rem;
		list-style: none;
		margin: 0;
		font-family: $font-family-head;

		> li {
			margin: 0 0 20px;
		}

		&--phone {
			color: $white;
			text-decoration: none;
			display: flex;
			align-items: center;

			i {
				width: 20px;
				font-size: 0;
				line-height: 0;
				display: inline-block;
				flex-shrink: 0;
			}

			span {
				padding-left: 9px;
				white-space: nowrap;
				display: inline-block;
			}

			svg {
				fill: $yellow;
			}

			&:hover {
				color: $white;
				text-decoration: none;
			}
		}
		
		&--email {
			color: $white;
			text-decoration: none;
			display: flex;
			align-items: center;

			i {
				width: 20px;
				font-size: 0;
				line-height: 0;
				display: inline-block;
				flex-shrink: 0;
			}

			span {
				opacity: 0.5;
				padding-left: 9px;
				white-space: nowrap;
				display: inline-block;
			}

			svg {
				fill: $yellow;
			}

			&:hover {
				color: $white;
				text-decoration: none;
			}
		}
	}

	&__address {
		color: $white;
		font-size: 2rem;
		font-weight: 600;
		line-height: 2.4rem;
		margin-bottom: 25px;
		display: flex;
		align-items: flex-start;
		font-family: $font-family-head;

		i {
			width: 18px;
			font-size: 0;
			line-height: 0;
			flex-shrink: 0;
			margin-top: 4px;
			display: inline-block;
		}

		svg {
			fill: $yellow;
		}

		span {
			padding-left: 11px;
			display: inline-block;
		}
	}

	&__link {
		display: flex;
		justify-content: center;

		a {
			color: #fff;
			font-weight: 700;
			font-size: 1.6rem;
			line-height: 1.8rem;
			padding-bottom: 5px;
			text-decoration: none;
			letter-spacing: 0.11em;
			text-transform: uppercase;
			display: flex;
			align-items: center;
			border-bottom: 2px solid $yellow;

			span {
				padding-right: 10px;
				white-space: nowrap;
				display: inline-block;
			}

			i {
				width: 31px;
				font-size: 0;
				line-height: 0;
				flex-shrink: 0;
				position: relative;
				display: inline-block;
							
				&::before {
					top: 50%;
					left: 0;
					content: '';
					width: 20px;
					height: 2px;
					display: block;
					margin-top: -1px;
					position: absolute;
					background: $yellow;
				}
			}

			svg {
				left: 0;
				fill: $yellow;
				position: relative;
				transition: .3s;
			}
	

			&:hover {
				color: $yellow;
				text-decoration: none;
				
				svg {
					left: 20px;
					transition: .3s;
				}
			}
		}
	}

	&__top {
		left: 50%;
		bottom: 0;
		z-index: 10;
		width: 248px;
		height: 76px;
		color: $black;
		display: block;
		font-size: 1.4rem;
		line-height: 1.4rem;
		text-align: center;
		position: absolute;
		margin-left: -124px;
		text-decoration: none;
		padding-top: 20px;
		background: url('../img/footer__top_bg.svg') 50% 100% no-repeat;

		i {
			width: 16px;
			display: block;
			font-size: 0;
			line-height: 0;
			margin: 0 auto 5px auto;
		}

		span {
			display: block;
		}

		&:hover {
			color: $black;
			text-decoration: none;
		}
	}

	@media (min-width: $screen-md-min) {
		padding-top: 45px;
		min-height: 270px;
	
		&__row {
			display: flex;
			align-items: flex-start;
			justify-content: space-between;
		}

		&__contact {
			width: 300px;
			flex-shrink: 0;
			font-size: 2.4rem;
			line-height: 2.9rem;

			> li {
				margin-bottom: 45px;

				&:last-child {
					margin-bottom: 0;
				}
			}

			&--phone {
				
				i {
					width: 29px;
				}

				span {
					padding-left: 10px;
				}
			}

			&--email {
					
				i {
					width: 29px;
				}
				
				span {
					padding-left: 10px;
				}
			}
		}

		&__address {
			margin: 0;
			font-size: 2.4rem;
			line-height: 2.9rem;
							
			i {
				width: 27px;
			}
		}

		&__link {
			bottom: 0;
			left: 50%;
			text-align: left;
			margin-left: 28px;
			position: absolute;

			a {
				font-size: 1.8rem;
				line-height: 2rem;
			}
		}
	}
	
	@media (min-width: $screen-lg-min) {

		&__contact { 

			> li {
				margin-bottom: 25px;

				&:last-child {
					margin-bottom: 0;
				}
			}
		}

		&__address {
			padding-right: 30px;
		}
	
		&__link {
			left: auto;
			bottom: auto;
			position: relative;
			margin-left: 0;
		}
	}
	
	@media (min-width: $screen-xl-min) {
	
		&__address {
			padding-right: 0;
		}
	}
}

.footer-home {
	background: url('../img/footer__bg.jpg') 50% 50% no-repeat;
	background-size: cover;
}

.footer-contact {
	height: 204px;
	background: #FFD028 url('../img/contact__footer_sm.jpg') 50% 50% no-repeat;

	@media (min-width: $screen-md-min) {
		background: #FFD028 url('../img/contact__footer_xl.jpg') 50% 50% no-repeat;
	}
}